// Copyright 2026 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
import { IntroPageCallbackRouter, IntroPageHandlerFactory } from './intro.mojom-webui.js';
export class IntroBrowserProxyImpl {
    callbackRouter;
    constructor() {
        this.callbackRouter = new IntroPageCallbackRouter();
        const factory = IntroPageHandlerFactory.getRemote();
        factory.createIntroPageHandler(this.callbackRouter.$.bindNewPipeAndPassRemote());
    }
    static getInstance() {
        return instance || (instance = new IntroBrowserProxyImpl());
    }
    static setInstance(proxy) {
        instance = proxy;
    }
    matchMedia(query) {
        return window.matchMedia(query);
    }
}
let instance = null;
